// pages/home/index.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    height: app.globalData.height * 2 + 25,
    windowHeight: app.globalData.windowHeight,
    navbarData: {
      name: '我的'
    },
    userInfo: {}
  },
  // 跳转页面
  routeBtn: function (e) {
    let type = e.currentTarget.dataset.type;
    if (type == '1') {
      wx.redirectTo({
        url: `/pages/history/index?openid=${app.globalData.userInfo.openid}`
      })
    } else if (type == '2') {
      app.globalData.userInfo = {}
      wx.redirectTo({
        url: '/pages/login/index'
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let data = app.globalData.userInfo;
    console.log(data);
    if (data) this.setData({ userInfo: data })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if (typeof this.getTabBar === 'function' &&
      this.getTabBar()) {
      this.getTabBar().setData({
        selected: 3
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})